export default class ChatCombine {
    static instance: ChatCombine;
    private _callService;
    private _userShowNameMap;
    constructor(options: any);
    static getInstance(options: any): ChatCombine;
    /**
     * message on screen
     * @param {Any} params Parameters for message up-screening
     */
    callTUIService(params: any): void;
    /**
     * tuicore getExtension
     * @param {String} extensionID extension id
     * @param {Any} params tuicore pass parameters
     * @returns {Any[]} return extension
     */
    onGetExtensionTUICore(extensionID: string, params: any): any[];
    onCall(method: String, params: any): Promise<void>;
    /**
     * tuicore notify event manager
     * @param {String} eventName event name
     * @param {String} subKey sub key
     * @param {Any} options tuicore event parameters
     */
    onTUICoreNotifyEvent(eventName: string, subKey: string, options?: any): Promise<void>;
    updateStoreBasedOnGroupAttributes(groupAttributes: any): Promise<void>;
    getGroupAttributes(tim: any, groupId: string): Promise<any>;
    getFriendRemark(userIDList: string[], tim: any): Promise<any>;
    handleCallkitTimeoutSignaling(inviteeList: string[], tim: any): Promise<void>;
    getCallKitMessage(message: any, tim: any): Promise<{
        messageCardContent?: undefined;
        callType?: undefined;
    } | {
        messageCardContent: string;
        callType: any;
    }>;
    private _addListenChatEvent;
    private _removeListenChatEvent;
    /**
     * chat start audio/video call via click
     * @param {Any} options Parameters passed in when clicking on an audio/video call from chat
     * @param {CallMediaType} type call media type. 0 - audio; 1 - video.
     */
    private _handleTUICoreOnClick;
    private _handleGroupAttributesUpdated;
}
